Bug 135319 - [patch] net/netatalk port update from 2.0.3_5,1 to 2.0.4
[patch] net/netatalk port update from 2.0.3_5,1 to 2.0.4
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Joe Marcus Clarke
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-07 07:40 UTC by wlam+fbd
Modified: 2009-06-14 04:00 UTC (History)
0 users

See Also:


Attachments
file.diff (8.55 KB, patch)
2009-06-07 07:40 UTC, wlam+fbd
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description wlam+fbd 2009-06-07 07:40:01 UTC
This PR is a request to update the FreeBSD port of net/netatalk to the current release, version 2.0.4 (29 May 2009).  In the attached (works-for-me) patch, I tried to keep changes to the existing port modest.

NB: Several net/netatalk/files/ patches appear to be superseded by (i.e., already applied in) the newer source code, but the attached patch does not try to explicitly vacate them:

> grep Only netatalk.patch.txt
Only in netatalk-old/files: patch-CVE-2008-5718
Only in netatalk-old/files: patch-bin_cnid_cnid_index.c
Only in netatalk-old/files: patch-etc_cnid_dbd_dbif.c

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2009-06-07 07:40:12 UTC
Responsible Changed
From-To: freebsd-ports-bugs->marcus

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 dfilter freebsd_committer 2009-06-14 03:59:41 UTC
marcus      2009-06-14 02:59:30 UTC

  FreeBSD ports repository

  Modified files:
    net/netatalk         Makefile distinfo pkg-plist 
    net/netatalk/files   patch-config_netatalk.conf 
                         patch-configure 
  Removed files:
    net/netatalk/files   patch-CVE-2008-5718 
                         patch-bin_cnid_cnid_index.c 
                         patch-etc_cnid_dbd_dbif.c 
  Log:
  Update to 2.0.4.
  
  PR:             135319
  Submitted by:   Wang Lam <wlam+fbd@blanksquare.net> (based on)
  
  Revision  Changes    Path
  1.79      +6 -4      ports/net/netatalk/Makefile
  1.24      +3 -3      ports/net/netatalk/distinfo
  1.2       +0 -143    ports/net/netatalk/files/patch-CVE-2008-5718 (dead)
  1.3       +0 -14     ports/net/netatalk/files/patch-bin_cnid_cnid_index.c (dead)
  1.2       +7 -7      ports/net/netatalk/files/patch-config_netatalk.conf
  1.14      +10 -77    ports/net/netatalk/files/patch-configure
  1.3       +0 -14     ports/net/netatalk/files/patch-etc_cnid_dbd_dbif.c (dead)
  1.29      +9 -1      ports/net/netatalk/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 Joe Marcus Clarke freebsd_committer 2009-06-14 04:00:13 UTC
State Changed
From-To: open->closed

Committed, thanks!